Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163746 - hal prevents me from ejecting CD-ROMs
Summary: hal prevents me from ejecting CD-ROMs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 19:29 UTC by Brent Fox
Modified: 2012-06-20 16:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:18:25 UTC


Attachments (Terms of Use)

Description Brent Fox 2005-07-20 19:29:56 UTC
Sometimes I cannot eject CDs from my drive.  This doesn't happen all the time,
but it's often enough to be really annoying.  Pushing the button on the drive
does nothing.  So I tried issuing the "eject" command.  The command hangs and
never completes.  "ps aus |grep eject" shows that the process is in
uninterruptible sleep:

[root@verve boot]# ps aux |grep eject
bfox      3070  0.0  0.0  4612  672 pts/7    D+   15:15   0:00 eject

I ran "lsof | grep hdc" and I see that hald is keeping the device open:

[root@verve boot]# lsof | grep hdc
hald       2923    root    3r      BLK       22,0                 749 /dev/hdc
hald       2923    root   13r      BLK       22,0                 749 /dev/hdc

I then ran "service haldaemon stop" which appears to stop hald, but the process
never exits.  "ps aux |grep hald" says:

[root@verve boot]# ps aux |grep hald
root      2923  0.0  0.6  8900 6172 ?        Ds   Jul18   0:42 hald

A reboot seems to be the only way to get my CD out.  Why does hal go into an
uninterruptible sleep sometimes?

Comment 1 sa@tmt.ca.boeing.com 2007-08-07 18:23:09 UTC
We've observed the same behavior (hal-0.4.2-6-EL4).

In some cases what seems to trigger this condition is when playing
certain audio CDs, and in particular, if the audio CD is an 'enhanced'
CD with data/application that can be run on a regular Windows O/S,
it seems to leave hal in the state where eject will no longer work.

In some cases a stop/start of haldaemon will clear the condition.
root will always be able to eject the CD (while a non-privileged
user cannot); else a reboot is the only recourse to restore eject
functionality.

Agreed, quite annoying.

Comment 2 Jiri Pallich 2012-06-20 16:18:25 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.